// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdUiKitComponents", targets: ["WebIdUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdUiKitComponents/8.4.4/WebIdUiKitComponents.framework-v8.4.4-SNAPSHOT-497.zip",
            checksum: "6c99dc15f17dc65ceb95af32aa25ed7726091a0a79a1b1aeeace5b6239f2eaa6"
        ),
        .target(
            name: "WebIdUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdUiKitComponents"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
